Package com.treemap.swing.treeplot

# Class SwingTreePlotModel<N,Row,Column>

java.lang.Object
com.treemap.treeplot.DefaultTreePlotModel<N,Row,Column,Color,Font>
com.treemap.swing.treeplot.SwingTreePlotModel<N,Row,Column>

Type Parameters:
  `N` - the type of nodes

All Implemented Interfaces:
  `TreePlotModel<N,Row,Column,Color,Font>`

public class SwingTreePlotModel<N,Row,Column> extends DefaultTreePlotModel<N,Row,Column,Color,Font>
Default implementation of a TreePlotModel. This class provides an easy way to integration with TreeMap's TreeMapModel.

- ## Field Summary

  ### Fields inherited from class com.treemap.treeplot.DefaultTreePlotModel

  `xVariable, yVariable`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingTreePlotModel(TreeMapModel<N,Row,Column,Color,Font> tmm, ComboBoxModel groupByComboBoxModel, ComboBoxModel<TreeMapField> sizeComboBoxModel, ComboBoxModel<TreeMapField> heightComboBoxModel, ComboBoxModel<TreeMapField> colorComboBoxModel)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ComboBoxModel`
  `getColorModel()`
  `ComboBoxModel`
  `getGroupByModel()`
  `ComboBoxModel`
  `getHeightModel()`
  `ComboBoxModel`
  `getSizeModel()`
  `ComboBoxModel`
  `getXComboBoxModel()`
  `ComboBoxModel`
  `getYComboBoxModel()`

  ### Methods inherited from class com.treemap.treeplot.DefaultTreePlotModel

  `depthFirstIterator, getAggregateValue, getCH, getChildren, getColor, getColumnClass, getColumnCount, getColumnName, getCurrentRoot, getFilter, getHighlighting, getMaximumSize, getMaximumSize, getMEC, getNumericMax, getNumericMax, getNumericMin, getNumericMin, getParent, getProbing, getRoot, getSearch, getSelection, getSettings, getSize, getStringValue, getTreeMapField, getTreeMapField, getTreeMapFields, getTreeMapModel, getValueAt, getXTreeMapFields, getXVariable, getYTreeMapFields, getYVariable, hasNoChildren, isLeaf, isNumericType, isRoot, isTemporalType, isVisualType, setCurrentRoot`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwingTreePlotModel

    public SwingTreePlotModel(TreeMapModel<N,Row,Column,Color,Font> tmm, ComboBoxModel groupByComboBoxModel, ComboBoxModel<TreeMapField> sizeComboBoxModel, ComboBoxModel<TreeMapField> heightComboBoxModel, ComboBoxModel<TreeMapField> colorComboBoxModel)

- ## Method Details

  - ### getXComboBoxModel

    public ComboBoxModel getXComboBoxModel()

  - ### getYComboBoxModel

    public ComboBoxModel getYComboBoxModel()

  - ### getGroupByModel

    public ComboBoxModel getGroupByModel()

  - ### getSizeModel

    public ComboBoxModel getSizeModel()

  - ### getHeightModel

    public ComboBoxModel getHeightModel()

  - ### getColorModel

    public ComboBoxModel getColorModel()